API Explorer 936 endpoints

Get Customer Messages for a Customer

GET /obp/v7.0.0/banks/BANK_ID/customers/CUSTOMER_ID/messages

OBPv4.0.0-getCustomerMessages Roles: CanGetCustomerMessages(per bank) Customer-MessageCustomer

Get messages for the customer specified by CUSTOMER_ID User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CUSTOMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (7)
date
2020-01-27
from_department
Open Bank
from_person
Tom
id
d8839721-ad8f-45dd-9f78-2080414b93f9
message
123456
messages
transport
SMS
Example success response
{
  "messages": [
    {
      "id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
      "date": "1100-01-01T00:00:00Z",
      "transport": "SMS",
      "message": "123456",
      "from_department": "Open Bank",
      "from_person": "Tom"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv4.0.0 getCustomerMessages Originally /obp/v4.0.0/banks/BANK_ID/customers/CUSTOMER_ID/messages